# operator==,!=(std::subtract_with_carry_engine)

From cppreference.com
< cpp‎ | numeric‎ | random‎ | subtract with carry engine

template< class UIntType, size_t w, size_t s, size_t r > bool operator==( const subtract_with_carry_engine<UIntType,w,s,r>& lhs, const subtract_with_carry_engine<UIntType,w,s,r>& rhs ); | (1) | (since C++11)
template< class UIntType, size_t w, size_t s, size_t r > bool operator!=( const subtract_with_carry_engine<UIntType,w,s,r>& lhs, const subtract_with_carry_engine<UIntType,w,s,r>& rhs ); | (2) | (since C++11)

Compares two pseudo-random number engines. Two engines are equal, if their internal states are equivalent, that is, if they would generate equivalent values for any number of calls of operator().

### Parameters

lhs, rhs | - | engines to compare

### Return value

1) true if the engines are equivalent, false otherwise.
2) true if the engines are not equivalent, false otherwise.

### Exceptions

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/subtract_with_carry_engine/operator_cmp&oldid=51037"